/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *
 *  Copyright (C) 2014-2015 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
 *  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
 *  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
 *  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
 *  
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: target_rc_car.h 20 2015-04-20 14:29:19Z honda $
 */

/*
 *		ESC(ԡɥȥ)ڤӥܤΥѥ᡼
 */

#ifndef ESC_H
#define ESC_H

/*
 *  ESCΥѥ᡼
 */

/*
 *  ѤESC
 */
#define ESC_TLU104BK
//#define ESC_TLU105BK


/*
 *  ESCΥѥ᡼
 */

/* TLU104BKѤΥѥ᡼ */
#ifdef ESC_TLU104BK
#define ESC_N_100NS				15000
#define ESC_DMAX_100NS			14000
#define ESC_RMAX_100NS			17000
#define ESC_DTH_100NS			14500 
#define ESC_RTH_100NS			15300
#define ESC_D2R_100NS			16500
#define ESC_BREAK_100NS			18000
#define ESC_WAIT_N2R_WAIT_10MS	4  /* ˥塼ȥ뤫СޤǤԤ(10MSñ) */
#define ESC_WAIT_D2B_WAIT_10MS	10 /* ɥ饤֤֥졼ޤǤԤ(10MSñ)     */
#define ESC_WAIT_D2NR_WAIT_10MS	8  /* ɥ饤֤СݤΥ˥塼ȥޤǤԤ(10MSñ) */
#endif /* ESC_TLU104BK */


/* TLU105BKѤΥѥ᡼ */
#ifdef ESC_TLU105BK
#define ESC_N_US				1550
#define ESC_DMAX_100NS			14000
#define ESC_RMAX_100NS			17000
#define ESC_DTH_100NS			14900 
#define ESC_RTH_100NS			15500
#define ESC_D2R_100NS			16500
#define ESC_BREAK_100NS			20000
#define ESC_WAIT_N2R_WAIT_10MS	4  /* ˥塼ȥ뤫СޤǤԤ(10MSñ) */
#define ESC_WAIT_D2B_WAIT_10MS	8  /* ɥ饤֤֥졼ޤǤԤ(10MSñ)     */
#define ESC_WAIT_D2NR_WAIT_10MS	8  /* ɥ饤֤СݤΥ˥塼ȥޤǤԤ(10MSñ) */
#endif /* ESC_TLU105BK */


/*
 *  ѥȥϢ : ܤΥѥ᡼
 */
#define SERVO_N_US		1570
#define SERVO_RMAX_US	1870 
#define SERVO_LMAX_US	1200

#endif /* ESC_H */
